Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2.message
Class PixPdqMessage

    java.lang.Object
      org.eclipse.ohf.hl7v2.core.utilities.Worker
          org.eclipse.ohf.hl7v2.core.message.model.Node
              org.eclipse.ohf.hl7v2.core.message.model.ModelProvider
                  org.eclipse.ohf.hl7v2.core.message.model.Message
                      org.eclipse.ohf.ihe.common.hl7v2.message.PixPdqMessage

All Implemented Interfaces:
  HL7_Constants

Direct Known Subclasses:
  PdqConsumerQuery, PdqConsumerResponse, PixConsumerQuery, PixConsumerResponse, PixMsgADT, PixSourceResponse

    public abstract class PixPdqMessage

extends org.eclipse.ohf.hl7v2.core.message.model.Message
implements HL7_Constants

Field Summary

Fields inherited from class org.eclipse.ohf.hl7v2.core.message.model.Node
`MODE_TYPE_SEGMENT, NODE_TYPE_COMPONENT, NODE_TYPE_FIELD, NODE_TYPE_LIST, NODE_TYPE_MESSAGE, NODE_TYPE_SUBCOMPONENT`

Fields inherited from class org.eclipse.ohf.hl7v2.core.utilities.Worker
`hecAccepted, hecApplicationError, hecBadField, hecBadMessage, hecBadSegCode, hecConformance, hecDataTypeError, hecDefinitionError, hecDuplicateKey, hecDuplicateMsgId, hecHL7LibraryError, hecInternalError, hecNoDefinitions, hecNoTableValue, hecRecordLocked, hecRequiredField, hecRequiredSeg, hecSequenceError, hecSuperfluousSeg, hecUnknownKey, hecUnsEvntCode, hecUnsMsgType, hecUnsProcID, hecUnsVersion, hecValidationFailed, hecXML`

Fields inherited from interface org.eclipse.ohf.ihe.common.hl7v2.message.HL7_Constants
`DSC, DSC_1, DSC_2, ERR, EVN, EVN_2_1, MRG, MRG_1_1, MRG_1_4_1, MRG_1_4_2, MRG_1_4_3, MSA, MSH, MSH_10, MSH_11_1, MSH_11_1_PRODUCTION, MSH_12, MSH_18_1, MSH_18_1_ASCII, MSH_3_1, MSH_3_1_DEFAULT, MSH_3_2, MSH_3_3, MSH_4_1, MSH_4_1_DEFAULT, MSH_4_2, MSH_4_3, MSH_5_1, MSH_5_1_DEFAULT, MSH_5_2, MSH_5_3, MSH_6_1, MSH_6_1_DEFAULT, MSH_6_2, MSH_6_3, MSH_7, PD1, PID, PID_11_1, PID_11_10, PID_11_2, PID_11_3, PID_11_4, PID_11_5, PID_11_6, PID_11_7, PID_11_8, PID_11_9, PID_13_1, PID_14_1, PID_18_1, PID_18_4_1, PID_18_4_2, PID_18_4_3, PID_3_1, PID_3_4_1, PID_3_4_1_DEFAULT, PID_3_4_2, PID_3_4_2_DEFAULT, PID_3_4_3, PID_3_4_3_DEFAULT, PID_5_1, PID_5_2, PID_5_3, PID_5_4, PID_5_5, PID_5_6, PID_7_1, PID_8, PV1, PV1_2, PV1_2_INPATIENT, PV1_2_OUTPATIENT, QAK, QPD, QPD_1_1, QPD_1_2, QPD_1_3, QPD_1_4, QPD_1_5, QPD_1_6, QPD_2, QPD_3_1, QPD_3_4_1, QPD_3_4_2, QPD_3_4_3, QPD_8_4_1, QPD_8_4_2, QPD_8_4_3, RCP, RCP_1, RCP_1_IMMEDIATE, RCP_2_1, RCP_2_2_1, RCP_2_2_1_RECORDS`

Constructor Summary
`PixPdqMessage()`

Method Summary
`void` | `changeDefaultCharacterSet(java.lang.String charSet)` MSH-18 Character Set This field contains the character set for the entire message.
`void` | `changeDefaultControlId(java.lang.String controlId)` MSH-10 Control ID This field contains a number or other identifier that uniquely identifies the message.
`void` | `changeDefaultProcessEnvironment(java.lang.String environment)` MSH-11 Processing ID This field is used to decide whether to process the message as defined in HL7 Application (level 7) Processing rules.
`void` | `changeDefaultReceivingApplication(java.lang.String namespaceId, java.lang.String universalId, java.lang.String universalIdType)` MSH-5 Receiving Application This field uniquely identifies the receiving application among all other applications within the network enterprise.
`void` | `changeDefaultRecievingFacility(java.lang.String namespaceId, java.lang.String universalId, java.lang.String universalIdType)` MSH-6 Receiving Facility This field identifies the receiving application among multiple identical instances of the application running on behalf of different organizations.
`void` | `changeDefaultSendingApplication(java.lang.String namespaceId, java.lang.String universalId, java.lang.String universalIdType)` MSH-3 Sending Application This field uniquely identifies the sending application among all other applications within the network enterprise.
`void` | `changeDefaultSendingFacility(java.lang.String namespaceId, java.lang.String universalId, java.lang.String universalIdType)` MSH-4 Sending Facility This field further describes the sending application, MSH-3-sending application.
`java.lang.String[]` | `getCharacterSet()` MSH-18 Character Set This field contains the character set for the entire message.
`java.lang.String` | `getMessageControlID()` MSH-10 Message Control ID This field contains a number or other identifier that uniquely identifies the message.
`java.lang.String[]` | `getProcessEnvironment()` MSH-11 Processing ID This field is used to decide whether to process the message as defined in HL7 Application (level 7) Processing rules.
`java.lang.String[]` | `getReceivingApplication()` MSH-5 Receiving Application This field uniquely identifies the receiving application among all other applications within the network enterprise.
`java.lang.String[]` | `getReceivingFacility()` MSH-6 Receiving Facility This field identifies the receiving application among multiple identical instances of the application running on behalf of different organizations.
`java.lang.String[]` | `getSendingApplication()` MSH-3 Sending Application This field uniquely identifies the sending application among all other applications within the network enterprise.
`java.lang.String[]` | `getSendingFacility()` MSH-4 Sending Facility This field further describes the sending application, MSH-3-sending application.
`void` | `setField(java.lang.String path, java.lang.String data)` Updates message object structure directly.
`void` | `setNonNullElement(java.lang.String alias, java.lang.String msgDefault)` If value not found in config file (conformance profile), set initial default value.

Methods inherited from class org.eclipse.ohf.hl7v2.core.message.model.Message
`addMSHFromFields, addMSHFromFields, bindToMSH, clear, clearContent, elementName, equals, forceElement, getDefaultFormat, getDelimiters, getElement, getEvent, getMessageId, getMessageType, getSegments, getStructId, getStructure, hasStructId, resolveVariableTypes, setDefaultFormat, setDelimiters, setEvent, setMessageId, setMessageType, setStructId, testIsElement`

Methods inherited from class org.eclipse.ohf.hl7v2.core.message.model.ModelProvider
`getDefinitions, getVersion, getVersionDefinition, setDefinitions, setVersion`

Methods inherited from class org.eclipse.ohf.hl7v2.core.message.model.Node
`getOwner, hasOwner, isElement, setOwner`

Methods inherited from class org.eclipse.ohf.hl7v2.core.utilities.Worker
`condition`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PixPdqMessage

    public PixPdqMessage()

Method Detail

### getSendingApplication

    public java.lang.String[] getSendingApplication()
                                             throws PixPdqMessageException

  MSH-3 Sending Application This field uniquely identifies the sending application among all other applications within the network enterprise. The network enterprise consists of all those applications that participate in the exchange of HL7 messages within the enterprise. Entirely site-defined.

  Returns:
    Sending Application (HD) 3 components String[0] - NamespaceId String[1] - UniversalId String[2] - UniversalIdType
  Throws:
    `PixPdqMessageException`

### changeDefaultSendingApplication

    public void changeDefaultSendingApplication(java.lang.String namespaceId,
                                                java.lang.String universalId,
                                                java.lang.String universalIdType)
                                         throws PixPdqMessageException

  MSH-3 Sending Application This field uniquely identifies the sending application among all other applications within the network enterprise. The network enterprise consists of all those applications that participate in the exchange of HL7 messages within the enterprise. Entirely site-defined. The pdq default is OHFConsumer1. The pix default is OTHER_KIOSK.

  Parameters:
    `namespaceId` - (assigningAuthority > namespaceId)
    `universalId` - (assigningAuthority > universalId)
    `universalIdType` - (assigningAuthority > universalIdType)
  Throws:
    `PixPdqMessageException`

### getSendingFacility

    public java.lang.String[] getSendingFacility()
                                          throws PixPdqMessageException

  MSH-4 Sending Facility This field further describes the sending application, MSH-3-sending application. With the promotion of this field to an HD data type, the usage has been broadened to include not just the sending facility but other organizational entities such as a) the organizational entity responsible for sending application; b) the responsible unit; c) a product or vendor’s identifier, etc. Entirely site-defined.

  Returns:
    Sending Facility (HD) 3 components String[0] - NamespaceId String[1] - UniversalId String[2] - UniversalIdType
  Throws:
    `PixPdqMessageException`

### changeDefaultSendingFacility

    public void changeDefaultSendingFacility(java.lang.String namespaceId,
                                             java.lang.String universalId,
                                             java.lang.String universalIdType)
                                      throws PixPdqMessageException

  MSH-4 Sending Facility This field further describes the sending application, MSH-3-sending application. With the promotion of this field to an HD data type, the usage has been broadened to include not just the sending facility but other organizational entities such as a) the organizational entity responsible for sending application; b) the responsible unit; c) a product or vendor’s identifier, etc. Entirely site-defined. The pdq default is OHFFacility1. The pix default is HIMSSSANDIEGO.

  Parameters:
    `namespaceId` - (assigningAuthority > namespaceId)
    `universalId` - (assigningAuthority > universalId)
    `universalIdType` - (assigningAuthority > universalIdType)
  Throws:
    `PixPdqMessageException`

### getReceivingApplication

    public java.lang.String[] getReceivingApplication()
                                               throws PixPdqMessageException

  MSH-5 Receiving Application This field uniquely identifies the receiving application among all other applications within the network enterprise. The network enterprise consists of all those applications that participate in the exchange of HL7 messages within the enterprise. Entirely site-defined.

  Returns:
    Receiving Application (HD) 3 components String[0] - NamespaceId String[1] - UniversalId String[2] - UniversalIdType
  Throws:
    `PixPdqMessageException`

### changeDefaultReceivingApplication

    public void changeDefaultReceivingApplication(java.lang.String namespaceId,
                                                  java.lang.String universalId,
                                                  java.lang.String universalIdType)
                                           throws PixPdqMessageException

  MSH-5 Receiving Application This field uniquely identifies the receiving application among all other applications within the network enterprise. The network enterprise consists of all those applications that participate in the exchange of HL7 messages within the enterprise. Entirely site-defined. The pdq default is OTHER_KIOSK. The pix default is PAT_IDENTITY_X_REF_MGR_IBM1.

  Parameters:
    `namespaceId` - (assigningAuthority > namespaceId)
    `universalId` - (assigningAuthority > universalId)
    `universalIdType` - (assigningAuthority > universalIdType)
  Throws:
    `PixPdqMessageException`

### getReceivingFacility

    public java.lang.String[] getReceivingFacility()
                                            throws PixPdqMessageException

  MSH-6 Receiving Facility This field identifies the receiving application among multiple identical instances of the application running on behalf of different organizations.

  Returns:
    Receiving Facility (HD) 3 components String[0] - NamespaceId String[1] - UniversalId String[2] - UniversalIdType
  Throws:
    `PixPdqMessageException`

### changeDefaultRecievingFacility

    public void changeDefaultRecievingFacility(java.lang.String namespaceId,
                                               java.lang.String universalId,
                                               java.lang.String universalIdType)
                                        throws PixPdqMessageException

  MSH-6 Receiving Facility This field identifies the receiving application among multiple identical instances of the application running on behalf of different organizations. The pdq default is HIMSSSANDIEGO. The pix default is IBM.

  Parameters:
    `namespaceId` - (assigningAuthority > namespaceId)
    `universalId` - (assigningAuthority > universalId)
    `universalIdType` - (assigningAuthority > universalIdType)
  Throws:
    `PixPdqMessageException`

### getMessageControlID

    public java.lang.String getMessageControlID()
                                         throws PixPdqMessageException

  MSH-10 Message Control ID This field contains a number or other identifier that uniquely identifies the message. The receiving system echoes this ID back to the sending system in the Message acknowledgment segment (MSA).

  Returns:
    Message Control ID (ST)
  Throws:
    `PixPdqMessageException`

### changeDefaultControlId

    public void changeDefaultControlId(java.lang.String controlId)
                                throws PixPdqMessageException

  MSH-10 Control ID This field contains a number or other identifier that uniquely identifies the message. The receiving system echoes this ID back to the sending system in the Message acknowledgment segment (MSA). The default is a random generated ID.

  Parameters:
    `controlId` -
  Throws:
    `PixPdqMessageException`

### getProcessEnvironment

    public java.lang.String[] getProcessEnvironment()
                                             throws PixPdqMessageException

  MSH-11 Processing ID This field is used to decide whether to process the message as defined in HL7 Application (level 7) Processing rules.

  Returns:
    ProcessID (PT) 2 components String[0] - ProcessingId String[1] - ProcessingMode
  Throws:
    `PixPdqMessageException`

### changeDefaultProcessEnvironment

    public void changeDefaultProcessEnvironment(java.lang.String environment)
                                         throws PixPdqMessageException

  MSH-11 Processing ID This field is used to decide whether to process the message as defined in HL7 Application (level 7) Processing rules. The default is "P" production.

  Parameters:
    `environment` -
  Throws:
    `PixPdqMessageException`

### getCharacterSet

    public java.lang.String[] getCharacterSet()
                                       throws PixPdqMessageException

  MSH-18 Character Set This field contains the character set for the entire message.

  Returns:
    Character Set (ID)
  Throws:
    `PixPdqMessageException`

### changeDefaultCharacterSet

    public void changeDefaultCharacterSet(java.lang.String charSet)
                                   throws PixPdqMessageException

  MSH-18 Character Set This field contains the character set for the entire message. The default is "ASCII".

  Parameters:
    `charSet` - see HL7 Table 0211 - Alternate character sets for allowed values
  Throws:
    `PixPdqMessageException`

### setField

    public void setField(java.lang.String path,
                         java.lang.String data)
                  throws PixPdqMessageException

  Updates message object structure directly.

  Parameters:
    `path` - - segment and field (ex MSH-11 or MSH-9-3)
    `data` - - value for field
  Throws:
    `ClientException`
    `PixSourceException`
    `PixPdqMessageException`

### setNonNullElement

    public void setNonNullElement(java.lang.String alias,
                                  java.lang.String msgDefault)
                           throws PixPdqMessageException

  If value not found in config file (conformance profile), set initial default value. Use "changeDefault" methods to override.

  Parameters:
    `alias` - - segment and field (ex MSH-11 or MSH-9-3)
    `msgDefault` - - value for field
  Throws:
    `PdqConsumerException`
    `PixPdqMessageException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD